#!/bin/sh
###############################################################################
# This file contains alternative suites run by the test_encroot.sh script.    #
#                                                                             #
# It's included as is at the beginning of test_encroot.sh, but is a separate  #
# file to encourage users to add simple modifications and extra suites. This  #
# code is trivial, so I consider it to be in the public domain.               #
#                                                                             #
###############################################################################

SUITES="ancient failing default release trivial"

SUITE_ancient() {
    DESCRIPTION="The venerable Lucid Lynx (32-bit)"
    REGIONS="us-east-1"
    PLATFORMS="precise"
    TARGETS="lucid"
    ARCHS="i386"
    OPTIONS="none"
}

SUITE_failing() {
    DESCRIPTION="64-bit Maverick Meerkat (UNSUPPORTED)"
    REGIONS="us-east-1"
    PLATFORMS="precise"
    TARGETS="maverick"
    ARCHS="x86_64"
    OPTIONS="none"
}

SUITE_default() {
    DESCRIPTION="64-bit Lucid/Precise (normal/big-boot)"
    REGIONS="us-east-1"
    PLATFORMS="precise"
    TARGETS="lucid precise"
    ARCHS="x86_64"
    OPTIONS="none --big-boot"
}

SUITE_release() {
    DESCRIPTION="The official Encroot release suite"
    REGIONS="us-east-1 ap-northeast-1"
    PLATFORMS="precise"
    TARGETS="lucid natty oneiric precise quantal raring"
    ARCHS="i386 x86_64"
    OPTIONS="none --big-boot"
}

SUITE_trivial() {
    DESCRIPTION="Tests only 64-bit Precise Pangolin"
    REGIONS="us-east-1"
    PLATFORMS="precise"
    TARGETS="precise"
    ARCHS="x86_64"
    OPTIONS="none"
}

###############################################################################
